_node Struct Reference
Collaboration diagram for _node:
[legend]

## Data Fields

struct _node * | parent
struct _node * | child
struct _node * | prev
struct _node * | next
struct stat | sb
char * | slink
ARGI_t | algos
ARGV_t | digests
uint32_t | cksum
enum mtreeKeys_e | flags
uint8_t | type
char | name [1]

## Detailed Description

Definition at line 159 of file rpmmtree.c.

## Field Documentation

ARGI_t _node::algos

digest algorithms

Definition at line 164 of file rpmmtree.c.

Referenced by compare(), compare_nodes(), and shownode().

struct _node * _node::child

up, down

Definition at line 160 of file rpmmtree.c.

Referenced by mtreeMiss(), mtreeSpec(), mtreeSWalk(), and mtreeVWalk().

uint32_t _node::cksum

check sum

Definition at line 167 of file rpmmtree.c.

Referenced by compare(), and shownode().

ARGV_t _node::digests

digest strings

Definition at line 165 of file rpmmtree.c.

Referenced by compare(), compare_nodes(), and shownode().

enum mtreeKeys_e _node::flags

items set

Definition at line 169 of file rpmmtree.c.

Referenced by compare(), compare_nodes(), mtreeMiss(), mtreeSpec(), mtreeVWalk(), and unset().

char _node::name[1]

Definition at line 180 of file rpmmtree.c.

Referenced by compare(), mtreeMiss(), mtreeSpec(), mtreeSWalk(), mtreeVWalk(), and shownode().

struct _node * _node::next

left, right

Definition at line 161 of file rpmmtree.c.

Referenced by mtreeMiss(), mtreeSpec(), mtreeSWalk(), and mtreeVWalk().

struct _node* _node::parent

Definition at line 160 of file rpmmtree.c.

Referenced by mtreeSpec(), and mtreeVWalk().

struct _node* _node::prev

Definition at line 161 of file rpmmtree.c.

Referenced by mtreeSpec(), and mtreeVWalk().

struct stat _node::sb

parsed stat(2) info

Definition at line 162 of file rpmmtree.c.

Referenced by compare(), mtreeMiss(), and shownode().

char* _node::slink

symbolic link reference

Definition at line 163 of file rpmmtree.c.

Referenced by compare(), and mtreeMiss().

uint8_t _node::type

file type

Definition at line 171 of file rpmmtree.c.

Referenced by compare(), compare_nodes(), mtreeMiss(), mtreeSpec(), mtreeSWalk(), mtreeVWalk(), and shownode().

The documentation for this struct was generated from the following file:

- tools/rpmmtree.c